Members
List Members
List the members of a customer.
Scopes: members:read members:write
GET
/
v1
/
customers
/
{id}
/
members
Python
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
for item in polar.customers.members.iter_list(
'00000000-0000-4000-8000-000000000000',
page=1,
limit=10,
sorting=['-created_at'],
):
print(item)import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
for await (const item of polar.customers.members.iterList(
"00000000-0000-4000-8000-000000000000",
{
"page": 1,
"limit": 10,
"sorting": [
"-created_at"
]
},
)) {
console.log(item);
}
curl --request GET \
--url https://api.polar.sh/v1/customers/{id}/members \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polar.sh/v1/customers/{id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"customer_id": "<string>",
"email": "member@example.com",
"name": "Jane Doe",
"external_id": "usr_1337",
"role": "owner"
}
],
"pagination": {
"total_count": 123,
"max_page": 123
}
}{
"error": "ResourceNotFound",
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
patoat
Path Parameters
The customer ID.
Query Parameters
Filter by member role.
Available options:
owner, billing_manager, member Page number, defaults to 1.
Size of a page, defaults to 10. Maximum is 100.
Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.
Available options:
created_at, -created_at Was this page helpful?
⌘I
Python
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
for item in polar.customers.members.iter_list(
'00000000-0000-4000-8000-000000000000',
page=1,
limit=10,
sorting=['-created_at'],
):
print(item)import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
for await (const item of polar.customers.members.iterList(
"00000000-0000-4000-8000-000000000000",
{
"page": 1,
"limit": 10,
"sorting": [
"-created_at"
]
},
)) {
console.log(item);
}

